<!--
  Generated template for the PatSuchePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <button ion-button menuToggle icon-only>
      <ion-icon name='menu'></ion-icon>
    </button>
    <ion-title>Patient suchen</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-card>
    <form [formGroup]="searchForm">
      <ion-item>
        <ion-label floating>Name</ion-label>
        <ion-input [formControl]="searchForm.controls['name']"
                   type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Vorname</ion-label>
        <ion-input [formControl]="searchForm.controls['vorname']"
                   type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Geburtsdatum</ion-label>
        <ion-datetime displayFormat="DD.MM.YYYY" [formControl]="searchForm.controls['bday']"></ion-datetime>
        <button ion-button large color="primary" (click)="clearBday()" item-end>
          <ion-icon name="trash"></ion-icon>
        </button>
      </ion-item>

      <ion-row padding>
        <ion-col text-center>
          <button ion-button block color="primary" (click)="onSearch()" [disabled]="!searchForm.valid">
            Suchen
          </button>
        </ion-col>
      </ion-row>

    </form>
  </ion-card>
</ion-content>
